clear all, close all, clc
%% Setup the Import Options and import the data
filepath="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\TOT\ResultsTOT.xlsx";
opts = spreadsheetImportOptions("NumVariables", 118);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:DN495";

% Specify column names and types
opts.VariableNames = ["Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "ece", "ece30M", "ece500", "eceLG", "name", "roi_code", "state", "geo", "err500_50", "err500_75", "err500_100", "err500_125", "errROI_50", "errROI_75", "errROI_100", "errROI_125", "unicode", "bl", "br", "bt", "eltot", "elwet", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev", "right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance", "threshold", "varArea500", "varAreaRS", "AreaLossFilters", "varFilters500", "varFiltersRS", "var30MRS", "var500MRS", "AreaLoss", "varLoss500", "varLossRS", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "StrOrdATLAS", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "F_Max_DOF", "F_Max_DOR", "F_Max_SED", "F_Max_USE", "F_Max_RDD", "F_Max_URB", "F_Max_CSI", "F_Max_CSI_FF", "F_Max_CSI_FF1", "F_Max_CSI_FF2", "F_Max_BB_OCEAN", "F_Mean_DOF", "F_Mean_DOR", "F_Mean_SED", "F_Mean_USE", "F_Mean_RDD", "F_Mean_URB", "F_Mean_CSI", "F_Mean_CSI_FF", "F_Mean_CSI_FF1", "F_Mean_CSI_FF2", "F_Mean_BB_OCEAN", "F_Min_DOF", "F_Min_DOR", "F_Min_SED", "F_Min_USE", "F_Min_RDD", "F_Min_URB", "F_Min_CSI", "F_Min_CSI_FF", "F_Min_CSI_FF1", "F_Min_CSI_FF2", "F_Min_BB_OCEAN"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "double", "double", "double", "double", "categorical", "string", "categorical", "string", "double", "double", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["code", "roi_code", "geo", "unicode"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["code", "name", "roi_code", "state", "geo", "unicode"], "EmptyFieldRule", "auto");


% Import the data
Rtot = readtable(filepath, opts, "UseExcel", false);

% Clear temporary variables
clear opts

%%
name=Rtot.name;
code=Rtot.code;

Rtot.ModeFrRelRight=Rtot.frModeRight./Rtot.frMedian;
Rtot.ModeFrRelLeft=Rtot.frModeLeft./Rtot.frMedian;
Rtot.FrDiffRight=Rtot.ModeFrRelRight-1;
Rtot.FrDiffLeft=Rtot.ModeFrRelLeft-1;
Rtot.D=Rtot.ModeFrRelLeft-Rtot.ModeFrRelRight;
Rtot.F=Rtot.ModeFrRelLeft./Rtot.ModeFrRelRight;
Rtot.TOTSk=Rtot.stat_skew;
Rtot.TOTMedian=Rtot.threshold;
Rtot.AdiModeLeft=Rtot.left_mode./Rtot.TOTMedian;
Rtot.AdiModeRight=Rtot.right_mode./Rtot.TOTMedian;
Rtot.ModeLeft=Rtot.left_mode;
Rtot.ModeRight=Rtot.right_mode;



Parametriclassificarione=table(Rtot.ModeFrRelLeft,Rtot.ModeFrRelRight,Rtot.ModeLeft,Rtot.ModeRight,Rtot.TOTMedian,Rtot.TOTSk);

Rtot.errore=zeros(length(Rtot.unicode),1);
Rtot.classe=zeros(length(Rtot.unicode),1);
Rtot.step=zeros(length(Rtot.unicode),1);
for i=1:length(Rtot.D)
if (Rtot.ModeFrRelLeft(i)<1.1 && Rtot.ModeFrRelLeft(i)>0.9)||(Rtot.ModeLeft(i)>(Rtot.TOTMedian(i)-400))
    if (Rtot.ModeFrRelRight(i)<1.1 && Rtot.ModeFrRelRight(i)>0.9)||(Rtot.ModeRight(i)<(Rtot.TOTMedian(i)+400))
        if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=1;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=1;
        else
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=1;
                   Rtot.step(i)=1;
        end

    else
        if Rtot.D(i)<0
        Rtot.errore(i)=0;
        Rtot.classe(i)=1;
        Rtot.step(i)=2;
        else
           if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=3.1;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=3.2;
        else
                   Rtot.errore(i) = Rtot.TOTSk(i);
                   Rtot.classe(i) = 1;
                   Rtot.step(i) = 3.3;
        end
        end 
    end
else
    if (Rtot.ModeFrRelRight(i)<1.1 && Rtot.ModeFrRelRight(i)>0.9)||(Rtot.ModeRight(i)<(Rtot.TOTMedian(i)+400))
        if Rtot.D(i)>0
            Rtot.classe(i)=3;
            Rtot.errore(i)=0;
            Rtot.step(i)=4;
        else
        if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=5;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=5;
        else
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=1;
                   Rtot.step(i)=5;
        end
        end
    else       
             Rtot.classe(i)=2;
             Rtot.errore(i)=5;
             Rtot.step(i)=6;
    end
end
end



Class=table(Rtot.unicode, Rtot.classe,'Variablenames',{'unicode','classe'});



writetable(Class,'Class.xlsx');

