clear all, close all, clc
% Insert file path of DEMO_ResultsTot.xlsx
filepath1="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_ResultsTOT.xlsx";

% Insert file path of CentroiInRegions.xlsx
filepath2="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\CentroidInRegions.xlsx";

%% Setup the Import Options and import the data

opts = spreadsheetImportOptions("NumVariables", 121);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:DQ2";

% Specify column names and types
opts.VariableNames = ["Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "ece", "ece30M", "ece500", "eceLG", "name", "roi_code", "state", "geo", "err500_50", "err500_75", "err500_100", "err500_125", "errROI_50", "errROI_75", "errROI_100", "errROI_125", "unicode", "bl", "br", "bt", "eltot", "elwet", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev", "right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance", "threshold", "varArea500", "varAreaRS", "AreaLossFilters", "varFilters500", "varFiltersRS", "var30MRS", "var500MRS", "AreaLoss", "varLoss500", "varLossRS", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "FFRmax", "FFRmean", "FFRmin", "StrOrdATLAS", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "F_Max_DOF", "F_Max_DOR", "F_Max_SED", "F_Max_USE", "F_Max_RDD", "F_Max_URB", "F_Max_CSI", "F_Max_CSI_FF", "F_Max_CSI_FF1", "F_Max_CSI_FF2", "F_Max_BB_OCEAN", "F_Mean_DOF", "F_Mean_DOR", "F_Mean_SED", "F_Mean_USE", "F_Mean_RDD", "F_Mean_URB", "F_Mean_CSI", "F_Mean_CSI_FF", "F_Mean_CSI_FF1", "F_Mean_CSI_FF2", "F_Mean_BB_OCEAN", "F_Min_DOF", "F_Min_DOR", "F_Min_SED", "F_Min_USE", "F_Min_RDD", "F_Min_URB", "F_Min_CSI", "F_Min_CSI_FF", "F_Min_CSI_FF1", "F_Min_CSI_FF2", "F_Min_BB_OCEAN"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "double", "double", "double", "double", "string", "string", "string", "string", "double", "double", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["code", "name", "roi_code", "state", "geo", "unicode", "FFRmax", "FFRmean", "FFRmin"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["code", "name", "roi_code", "state", "geo", "unicode", "FFRmax", "FFRmean", "FFRmin"], "EmptyFieldRule", "auto");

% Import the data
Rtot = readtable(filepath1, opts, "UseExcel", false);

% Clear temporary variables
clear opts



%% Setup the  Import Options Centroid in the regions
opts = spreadsheetImportOptions("NumVariables", 9);

% Specify sheet and range
opts.Sheet = "Foglio1";
opts.DataRange = "A2:I518";

% Specify column names and types
opts.VariableNames = ["CODE", "NAME", "STATE", "ROI_CODE", "SHAPE_LENG", "unicode", "F_MAX_CSI_2", "ORIG_FID", "zona"];
opts.VariableTypes = ["string", "categorical", "categorical", "string", "double", "string", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["CODE", "ROI_CODE", "unicode"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["CODE", "NAME", "STATE", "ROI_CODE", "unicode"], "EmptyFieldRule", "auto");

% Import the data
CentroidInRegions = readtable(filepath2, opts, "UseExcel", false);
% Clear temporary variables
clear opts

CentroidInRegions=CentroidInRegions(CentroidInRegions.unicode==Rtot.unicode(1,:),:)

%%
name=Rtot.name;
code=Rtot.code;

Rtot.ModeFrRelRight=Rtot.frModeRight./Rtot.frMedian;
Rtot.ModeFrRelLeft=Rtot.frModeLeft./Rtot.frMedian;
Rtot.FrDiffRight=Rtot.ModeFrRelRight-1;
Rtot.FrDiffLeft=Rtot.ModeFrRelLeft-1;
Rtot.D=Rtot.ModeFrRelLeft-Rtot.ModeFrRelRight;
Rtot.F=Rtot.ModeFrRelLeft./Rtot.ModeFrRelRight;
Rtot.TOTSk=Rtot.stat_skew;
Rtot.TOTMedian=Rtot.threshold;
Rtot.AdiModeLeft=Rtot.left_mode./Rtot.TOTMedian;
Rtot.AdiModeRight=Rtot.right_mode./Rtot.TOTMedian;
Rtot.ModeLeft=Rtot.left_mode;
Rtot.ModeRight=Rtot.right_mode;



Parametriclassificarione=table(Rtot.ModeFrRelLeft,Rtot.ModeFrRelRight,Rtot.ModeLeft,Rtot.ModeRight,Rtot.TOTMedian,Rtot.TOTSk);

Rtot.errore=zeros(length(Rtot.unicode),1);
Rtot.classe=zeros(length(Rtot.unicode),1);
Rtot.step=zeros(length(Rtot.unicode),1);
for i=1:length(Rtot.D)
if (Rtot.ModeFrRelLeft(i)<1.1 && Rtot.ModeFrRelLeft(i)>0.9)||(Rtot.ModeLeft(i)>(Rtot.TOTMedian(i)-400))
    if (Rtot.ModeFrRelRight(i)<1.1 && Rtot.ModeFrRelRight(i)>0.9)||(Rtot.ModeRight(i)<(Rtot.TOTMedian(i)+400))
        if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=1;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=1;
        else
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=1;
                   Rtot.step(i)=1;
        end

    else
        if Rtot.D(i)<0
        Rtot.errore(i)=0;
        Rtot.classe(i)=1;
        Rtot.step(i)=2;
        else
           if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=3.1;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=3.2;
        else
                   Rtot.errore(i) = Rtot.TOTSk(i);
                   Rtot.classe(i) = 1;
                   Rtot.step(i) = 3.3;
        end
        end 
    end
else
    if (Rtot.ModeFrRelRight(i)<1.1 && Rtot.ModeFrRelRight(i)>0.9)||(Rtot.ModeRight(i)<(Rtot.TOTMedian(i)+400))
        if Rtot.D(i)>0
            Rtot.classe(i)=3;
            Rtot.errore(i)=0;
            Rtot.step(i)=4;
        else
        if Rtot.TOTSk(i)<0.4&& Rtot.TOTSk(i)>-0.4
                   Rtot.errore(i)=0;
                   Rtot.classe(i)=4;
                   Rtot.step(i)=5;
        elseif Rtot.TOTSk(i)>0.4
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=3;
                   Rtot.step(i)=5;
        else
                   Rtot.errore(i)=Rtot.TOTSk(i);
                   Rtot.classe(i)=1;
                   Rtot.step(i)=5;
        end
        end
    else       
             Rtot.classe(i)=2;
             Rtot.errore(i)=5;
             Rtot.step(i)=6;
    end
end
end



Class=table(Rtot.unicode, Rtot.classe,'Variablenames',{'unicode','classe'});

Rtot_temp=removevars(Rtot,["ece500", "eceLG", "bl", "br", "bt", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev","right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "threshold", "var500MRS", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance"]);
R=Rtot_temp;

R.lengthGteS4=R.riv4S+R.riv5S+R.riv6S+R.riv7S+R.riv8S+R.riv9S+R.riv10S+R.riv11S+R.riv12S;

Rtot.continent=cellfun (@(x) x(1),Rtot.unicode,'un',0);
Rtot.continent=str2double(Rtot.continent)+1;
Rtot.continent(Rtot.continent==3)=2;


Rtot.ecea=Rtot.ece./Rtot.Aroi;
Rtot.eceaLG=Rtot.eceLG./Rtot.Aroi;
Rtot.ecea30M=Rtot.ece30M./Rtot.Aroi;
Rtot.ecea500=Rtot.ece500./Rtot.Aroi;
Rtot.ALossL=Rtot.AreaLoss./Rtot.Aroi;

%W=[1.9,2.6,7.5,27.5,72.7,194.2,245,511.6,988.5,1028.0,481,5676.0].*10^(-3);
W=[0.8,1.8,3.7,8.3,29.3,73.3,131.5,264.5,608.5,988.5,803.3,3079.0].*10^(-3);

% 
%% Tabella per figura

FT=table(Rtot.unicode, Rtot.eceLG, Rtot.eceaLG,Rtot.F_Max_CSI_FF2,Rtot.roi_code,Rtot.code,Rtot.eltot, Rtot.StrOrdATLAS, Rtot.AreaLoss,Rtot.Aroi,Rtot.continent,Rtot.ece30M,Rtot.ece,Rtot.err500_50,Rtot.err500_75,Rtot.err500_100,Rtot.err500_125,Rtot.errROI_50,Rtot.errROI_75,Rtot.errROI_100,Rtot.errROI_125,Rtot.err500_50,Rtot.err500_75,Rtot.err500_100,Rtot.err500_125,Rtot.errROI_50,Rtot.errROI_75,Rtot.errROI_100,Rtot.errROI_125,Rtot.var30MRS,Rtot.geo,'VariableNames',{'unicode','eceLG','eceaLG','F_Max_CSI_FF2','roi_code','code','eltot','StrOrdATLAS','AreaLoss','Aroi','continent','ece30M','ece','sigma_sq_M1_ASL1_Cv50','sigma_sq_M1_ASL1_Cv75','sigma_sq_M1_ASL1_Cv100','sigma_sq_M1_ASL1_Cv125','sigma_sq_M1_ASL2_Cv50','sigma_sq_M1_ASL2_Cv75','sigma_sq_M1_ASL2_Cv100','sigma_sq_M1_ASL2_Cv125','sigma_sq_M2_ASL1_Cv50','sigma_sq_M2_ASL1_Cv75','sigma_sq_M2_ASL1_Cv100','sigma_sq_M2_ASL1_Cv125','sigma_sq_M2_ASL2_Cv50','sigma_sq_M2_ASL2_Cv75','sigma_sq_M2_ASL2_Cv100','sigma_sq_M2_ASL2_Cv125','sigma_sq_M3_ASL2','Polygon_coordinates'});

FT.class=NaN(length(FT.unicode),1);
 for j=1:length(Class.unicode);
    for i=1:length(FT.unicode);

        if FT.unicode(i)==Class.unicode(j);
          FT.class(i)=Class.classe(j);
        end
    end
 end
 
 %Add data 
FT.M_FL=NaN(length(FT.unicode),1);
FT.M_FR=NaN(length(FT.unicode),1);
FT.F_Med=NaN(length(FT.unicode),1);
FT.M_L=NaN(length(FT.unicode),1);
FT.M_R=NaN(length(FT.unicode),1);
FT.Med=NaN(length(FT.unicode),1);
FT.Sk=NaN(length(FT.unicode),1);
FT.D=NaN(length(FT.unicode),1);
FT.signature=NaN(length(FT.unicode),1);
FT.sigma_sq_M4_ASL2=NaN(length(FT.unicode),1);
FT.eCE_M4=NaN(length(FT.unicode),1);
 
  for j=1:length(Rtot.unicode)
    for i=1:length(FT.unicode)

        if FT.unicode(i)==Rtot.unicode(j)
          FT.M_FL(i)=Rtot.frModeLeft(j);
          FT.M_FR(i)=Rtot.frModeRight(j);
          FT.F_Med(i)=Rtot.frMedian(j);
          FT.M_L(i)=Rtot.left_mode(j);
          FT.M_R(i)=Rtot.right_mode(j);
          FT.Med(i)=Rtot.threshold(j);
          FT.Sk(i)=Rtot.stat_skew(j);
          FT.D(i)=(Rtot.frModeLeft(j)/Rtot.frMedian(j))-(Rtot.frModeRight(j)/Rtot.frMedian(j));
          
          FT.sigma_sq_M4_ASL2(i)=Rtot.var500MRS(j);
          FT.eCE_M4(i)=Rtot.ece500(j);
          
        end
        
        if FT.unicode(i)==Class.unicode(j)
            FT.signature(i)=Class.classe(j);
        end
    end
  end
 
 FT.signature =categorical(FT.signature,[1 2 3 4],{'NS' 'MM' 'PS' 'BS'});
 
FT.eCE_M1=FT.ece;
FT.eCE_M2=FT.eceLG;
FT.eCE_M3=FT.ece30M;
 
%% Data for table FT

FT=join(FT, CentroidInRegions, 'Key', 'unicode');
FT=removevars(FT,{'CODE', 'STATE', 'ROI_CODE', 'SHAPE_LENG','ORIG_FID'});
FT.basin=categorical(FT.zona,[1 2 3 4 5 6 7 8 9 10 11 12 13],{'Upland_Amazon','Middle_Amazon','Lowland_Amazon','America-Others','Upland_Congo','Lowland_Congo','Africa-Others','Madagascar','New_Guinea_Island','Borneo_Island','Sumatra_Island','Malay_Peninsula','Asia-Others'});
clear FT1 FT2


FT.lengthGteS4=zeros(length(FT.unicode),1);
 for j=1:length(R.unicode);
    for i=1:length(FT.unicode);

        if FT.unicode(i)==R.unicode(j);
          FT.lengthGteS4(i)=R.lengthGteS4(j);
          FT.FFR_noImpact1S(i)=R.FFR_noImpact1S(j);
          FT.FFR_noImpact2S(i)=R.FFR_noImpact2S(j);
          FT.FFR_noImpact3S(i)=R.FFR_noImpact3S(j);
          FT.FFR_noImpact4S(i)=R.FFR_noImpact4S(j);
          FT.FFR_noImpact5S(i)=R.FFR_noImpact5S(j);
          FT.FFR_noImpact6S(i)=R.FFR_noImpact6S(j);
          FT.FFR_noImpact7S(i)=R.FFR_noImpact7S(j);
          FT.FFR_noImpact8S(i)=R.FFR_noImpact8S(j);
          FT.FFR_noImpact9S(i)=R.FFR_noImpact9S(j);
          FT.FFR_noImpact10S(i)=R.FFR_noImpact10S(j);
        end
    end
 end

FT.W3=FT.FFR_noImpact3S*W(5); 
FT.W4=FT.FFR_noImpact4S*W(6);
FT.W5=FT.FFR_noImpact5S*W(7);
FT.W6=FT.FFR_noImpact6S*W(8);
FT.W7=FT.FFR_noImpact7S*W(9);
FT.W8=FT.FFR_noImpact8S*W(10);
FT.W9=FT.FFR_noImpact9S*W(11);
FT.W10=FT.FFR_noImpact10S*W(12);
FT.Wgte4=FT.W4+FT.W5+FT.W6+FT.W7+FT.W8+FT.W9+FT.W10;
FT.Wgte3=FT.W3+FT.W4+FT.W5+FT.W6+FT.W7+FT.W8+FT.W9+FT.W10;



R.W3=R.riv3S*W(5); 
R.W4=R.riv4S*W(6);
R.W5=R.riv5S*W(7);
R.W6=R.riv6S*W(8);
R.W7=R.riv7S*W(9);
R.W8=R.riv8S*W(10);
R.W9=R.riv9S*W(11);
R.W10=R.riv10S*W(12);
R.Wgte4=R.W4+R.W5+R.W6+R.W7+R.W8+R.W9+R.W10;
R.Wgte3=R.W3+R.W4+R.W5+R.W6+R.W7+R.W8+R.W9+R.W10;


R.eceLG=zeros(length(R.unicode),1);
 for j=1:length(R.unicode);
    for i=1:length(FT.unicode);

        if FT.unicode(i)==R.unicode(j);
        R.eceLG(j)=FT.eceLG(i);
        end
    end
 end

%% Supplementary Table S5
%% Supplementary Table S5

FT(FT.F_Max_CSI_FF2>1,:)=[];% remove not Free-Flowing rivers

FT.Properties.VariableNames{'eCE_M1'}='eCE_M1 [MgC/yr]';
FT.Properties.VariableNames{'eCE_M2'}='eCE_M2 [MgC/yr]';
FT.Properties.VariableNames{'eCE_M3'}='eCE_M3 [MgC/yr]';
FT.Properties.VariableNames{'eCE_M4'}='eCE_M4 [MgC/yr]';
FT.Properties.VariableNames{'eceaLG'}='eCE_M2 [MgC/yr km^2]';

FT.Properties.VariableNames{'M_FL'}='M_FL [-]';
FT.Properties.VariableNames{'M_FR'}='M_FR [-]';
FT.Properties.VariableNames{'F_Med'}='F_Med [-]';
FT.Properties.VariableNames{'M_L'}='M_L [MgC/km^2]';
FT.Properties.VariableNames{'M_R'}='M_R [MgC/km^2]';
FT.Properties.VariableNames{'Med'}='Med [MgC/km^2]';
FT.Properties.VariableNames{'Sk'}='Sk [-]';
FT.Properties.VariableNames{'D'}='D [-]';


FT.Properties.VariableNames{'unicode'}='Identification code';
FT.Properties.VariableNames{'Aroi'}='ROI Area';
FT.Properties.VariableNames{'StrOrdATLAS'}='n Horton-Strhler Index';
FT.Properties.VariableNames{'AreaLoss'}='A_RDFL';
FT.Properties.VariableNames{'FFR_noImpact1S'}='l_r,1 [km]';
FT.Properties.VariableNames{'FFR_noImpact2S'}='l_r,2 [km]';
FT.Properties.VariableNames{'FFR_noImpact3S'}='l_r,3 [km]';
FT.Properties.VariableNames{'FFR_noImpact4S'}='l_r,4 [km]';
FT.Properties.VariableNames{'FFR_noImpact5S'}='l_r,5 [km]';
FT.Properties.VariableNames{'FFR_noImpact6S'}='l_r,6 [km]';
FT.Properties.VariableNames{'FFR_noImpact7S'}='l_r,7 [km]';
FT.Properties.VariableNames{'FFR_noImpact8S'}='l_r,8 [km]';
FT.Properties.VariableNames{'FFR_noImpact9S'}='l_r,9 [km]';
FT.Properties.VariableNames{'FFR_noImpact10S'}='l_r,10 [km]';
FT.Properties.VariableNames{'zona'}='zone';
FT.Properties.VariableNames{'NAME'}='River';

FT=removevars(FT,{'eceLG','F_Max_CSI_FF2','roi_code','code','ece','ece30M','W3','W4','W5','W6','W7','W8','W9','W10','Wgte3','Wgte4','eltot'});

writetable(FT, 'DEMO_Table_S4.xlsx')



