clear all, close all, clc;

filepath1="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_1\ROI_test_1.csv";

filepath2="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_2\ROI_test_2.csv";

filepath3="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_3\ROI_test_3.csv";

filepath4="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_4\ROI_test_4.csv";

filepath5="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_5\ROI_test_5.csv";

filepath6="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_6\ROI_test_6.csv";

filepath7="E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\DEMO\DEMO_Results_7\ROI_test_7.csv";




%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 16);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "err500", "errROI", "ece", "ece30M", "ece500", "eceLG", "name", "roi_code", "state", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "categorical", "string", "categorical", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["err500", "errROI", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["err500", "errROI", "name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
eCE1 = readtable(filepath1, opts);
clear filename

clear opts eCE1_temp name i


err500=eCE1.err500;
errROI=eCE1.errROI;
match = ["[","]"];
err500 = erase(err500,match);
 errROI =erase(errROI,match);

 err500table=zeros(length(eCE1.errROI),4);
 errROItable=zeros(length(eCE1.errROI),4);

for i=1:length(eCE1.err500)
    
err500cell(i)= textscan(err500(i), '%f', 'Delimiter',',' );
errROIcell(i)= textscan(errROI(i), '%f', 'Delimiter',',' );
err500table(i,:)= cell2mat(err500cell(i));
errROItable(i,:)= cell2mat(errROIcell(i));
end
clear err500cell errROIcell

err500table= array2table(err500table,'VariableNames',{'err500_50','err500_75','err500_100','err500_125'});
errROItable= array2table(errROItable,'VariableNames',{'errROI_50','errROI_75','errROI_100','errROI_125'});

eCE1=[eCE1, err500table, errROItable];

%%

%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 36);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "bl", "br", "bt", "code", "eltot", "elwet", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev", "name", "right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "roi_code", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance", "state", "threshold", "varArea500", "varAreaRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "categorical", "double", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
eCE2 = readtable(filepath2, opts);

clear opts eCE2_temp name i filename


%% Setup the Import Options and import the data

opts = delimitedTextImportOptions("NumVariables", 12);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLossFilters", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varFilters500", "varFiltersRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");
% Import the data
eCE3 = readtable(filepath3, opts);

clear opts eCE3_temp name i filename

%% Setup the Import Options and import the data

opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var30MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");
% Import the data
eCE4 = readtable(filepath4, opts);


clear opts eCE4_temp name i filename

%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var500MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
eCE5 = readtable(filepath5, opts);


clear opts eCE6_temp 

%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 12);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLoss", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varLoss500", "varLossRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
eCE6 = readtable(filepath6, opts);

clear opts eCE6_temp name i filename

%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 40);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "FFRmax", "FFRmean", "FFRmin", "OBJECTID", "Shape_Area", "Shape_Leng", "StrOrdATLAS", "code", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "name", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "roi_code", "state", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "string", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "categorical", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "name", "state", "geo"], "EmptyFieldRule", "auto");
% Import the data
eCE7 = readtable(filepath7, opts);

clear opts eCE7_temp name i filename


FFRmax=eCE7.FFRmax;
FFRmin=eCE7.FFRmin;
FFRmean=eCE7.FFRmean;
match = ["[","]"];
FFRmax = erase(FFRmax,match);
FFRmin =erase(FFRmin,match);
FFRmean =erase(FFRmean,match);

FFRmaxtable=zeros(length(eCE7.FFRmax),11);
FFRmintable=zeros(length(eCE7.FFRmin),11);
FFRmeantable=zeros(length(eCE7.FFRmean),11);

for i=1:length(eCE7.FFRmax)
    
FFRmaxcell(i)= textscan(FFRmax(i), '%f', 'Delimiter',',' );
FFRmincell(i)= textscan(FFRmin(i), '%f', 'Delimiter',',' );
FFRmeancell(i)= textscan(FFRmean(i), '%f', 'Delimiter',',' );
FFRmaxtable(i,:)= cell2mat(FFRmaxcell(i));
FFRmintable(i,:)= cell2mat(FFRmincell(i));
FFRmeantable(i,:)= cell2mat(FFRmeancell(i));
end
clear FFRmaxcell FFRmeancell FFRmincell i

FFRmaxtable= array2table(FFRmaxtable,'VariableNames',{'F_Max_DOF','F_Max_DOR','F_Max_SED','F_Max_USE','F_Max_RDD','F_Max_URB','F_Max_CSI','F_Max_CSI_FF','F_Max_CSI_FF1','F_Max_CSI_FF2','F_Max_BB_OCEAN'});
FFRmintable= array2table(FFRmintable,'VariableNames',{'F_Min_DOF','F_Min_DOR','F_Min_SED','F_Min_USE','F_Min_RDD','F_Min_URB','F_Min_CSI','F_Min_CSI_FF','F_Min_CSI_FF1','F_Min_CSI_FF2','F_Min_BB_OCEAN'});
FFRmeantable= array2table(FFRmeantable,'VariableNames',{'F_Mean_DOF','F_Mean_DOR','F_Mean_SED','F_Mean_USE','F_Mean_RDD','F_Mean_URB','F_Mean_CSI','F_Mean_CSI_FF','F_Mean_CSI_FF1','F_Mean_CSI_FF2','F_Mean_BB_OCEAN'});

eCE7=[eCE7, FFRmaxtable, FFRmeantable, FFRmintable];


eCE1.unicode=strcat(string(eCE1.code),string(eCE1.roi_code));
eCE2.unicode=strcat(string(eCE2.code),string(eCE2.roi_code));
eCE3.unicode=strcat(string(eCE3.code),string(eCE3.roi_code));
eCE4.unicode=strcat(string(eCE4.code),string(eCE4.roi_code));
eCE5.unicode=strcat(string(eCE5.code),string(eCE5.roi_code));
eCE6.unicode=strcat(string(eCE6.code),string(eCE6.roi_code));
eCE7.unicode=strcat(string(eCE7.code),string(eCE7.roi_code));

toremove={'systemindex','geo','Shape_Area','Shape_Leng','code', 'name', 'roi_code', 'state','OBJECTID'}
eCE1= removevars(eCE1,{'systemindex','errROI','err500'});% ricorda errROI ed err500 erano le variabili stringa con il vettore di errori
eCE2= removevars(eCE2,toremove);
eCE3= removevars(eCE3,toremove);
eCE4= removevars(eCE4,toremove);
eCE5= removevars(eCE5,toremove);
eCE6= removevars(eCE6,toremove);
eCE7= removevars(eCE7,toremove);

eCE12=join(eCE1,eCE2,'Keys','unicode');
eCE34=join(eCE3,eCE4,'Keys','unicode');
eCE56=join(eCE5,eCE6,'Keys','unicode');
eCE1234=join(eCE12,eCE34,'Keys','unicode');
eCE123456=join(eCE1234,eCE56,'Keys','unicode');
eCEtot=join(eCE123456,eCE7,'Keys','unicode');

clear eCE12 eCE34 eCE1234 eCE56 eCE123456

writetable(eCEtot, 'DEMO_ResultsTot.xlsx')

