clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_1\';

name={'America1_1','America2_1','America3_1','America4_1','America5_1','America6_1'}
name=string(name);


%% Setup the Import Options and import the data
filename=strcat(folderpath,name(1),'.csv');
opts = delimitedTextImportOptions("NumVariables", 16);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "err500", "errROI", "ece", "ece30M", "ece500", "eceLG", "name", "roi_code", "state", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "categorical", "string", "categorical", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["err500", "errROI", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["err500", "errROI", "name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
eCE1 = readtable(filename, opts);
clear filename

for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');
% Import the data
eCE1_temp = readtable(filename, opts);
eCE1=vertcat(eCE1,eCE1_temp);
clear filename
end
clear opts eCE1_temp name i


err500=eCE1.err500;
errROI=eCE1.errROI;
match = ["[","]"];
err500 = erase(err500,match);
 errROI =erase(errROI,match);

 err500table=zeros(length(eCE1.errROI),4);
 errROItable=zeros(length(eCE1.errROI),4);

for i=1:length(eCE1.err500)
    
err500cell(i)= textscan(err500(i), '%f', 'Delimiter',',' );
errROIcell(i)= textscan(errROI(i), '%f', 'Delimiter',',' );
err500table(i,:)= cell2mat(err500cell(i));
errROItable(i,:)= cell2mat(errROIcell(i));
end
clear err500cell errROIcell

err500table= array2table(err500table,'VariableNames',{'err500_50','err500_75','err500_100','err500_125'});
errROItable= array2table(errROItable,'VariableNames',{'errROI_50','errROI_75','errROI_100','errROI_125'});

eCE1=[eCE1, err500table, errROItable];

writetable(eCE1,'Results1.xlsx');
