clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_2\';

name={'America1_2','America2_2','America3_2','America4_2','America5_2','America6_2'}
name=string(name);

%% Setup the Import Options and import the data

filename=strcat(folderpath,name(1),'.csv');
%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 36);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "bl", "br", "bt", "code", "eltot", "elwet", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev", "name", "right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "roi_code", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance", "state", "threshold", "varArea500", "varAreaRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "categorical", "double", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
G2 = readtable(filename, opts);

for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');
% Import the data
G2_temp = readtable(filename, opts);
 G2=vertcat(G2,G2_temp);



end
clear opts G2_temp name i filename


% FFRmax=GCP2.max;
% FFRmean=GCP2.mean;
% match = ["[","]"];
% FFRmax = erase(FFRmax,match);
% FFRmean =erase(FFRmean,match);
% 
% FFRmaxtable=zeros(length(GCP2.max),7);
% FFRmeantable=zeros(length(GCP2.mean),7);
% 
% for i=1:length(GCP2.max)
%     
% FFRmaxcell(i)= textscan(FFRmax(i), '%f', 'Delimiter',',' );
% FFRmeancell(i)= textscan(FFRmean(i), '%f', 'Delimiter',',' );
% FFRmaxtable(i,:)= cell2mat(FFRmaxcell(i));
% FFRmeantable(i,:)= cell2mat(FFRmeancell(i));
% end
% clear FFRmaxcell FFRmeancell i
% 
% FFRmaxtable= array2table(FFRmaxtable,'VariableNames',{'Max_DOF','Max_DOR','Max_SED','Max_USE','Max_RDD','Max_URB','Max_CSI'});
% FFRmeantable= array2table(FFRmeantable,'VariableNames',{'Mean_DOF','Mean_DOR','Mean_SED','Mean_USE','Mean_RDD','Mean_URB','Mean_CSI'});
% 
% GCP2=[GCP2, FFRmaxtable, FFRmeantable];

writetable(G2,'Results2.xlsx');
