clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_3\';
name={'America1_3','America2_3','America3_3','America4_3','America5_3','America6_3'};
name=string(name);

%% Setup the Import Options and import the data

filename=strcat(folderpath,name(1),'.csv');
opts = delimitedTextImportOptions("NumVariables", 12);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLossFilters", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varFilters500", "varFiltersRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");
% Import the data
EMCE3 = readtable(filename, opts);
for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');
% Import the data
EMCE3_temp = readtable(filename, opts);
EMCE3=vertcat(EMCE3,EMCE3_temp);
end
clear opts EMCE3_temp name i filename
writetable(EMCE3,'Results3.xlsx');
