clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_4\';
name={'America1_4','America2_4','America3_4','America4_4','America5_4','America6_4'}
name=string(name);

%% Setup the Import Options and import the data

filename=strcat(folderpath, name(1),'.csv');
opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var30MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");
% Import the data
eCE4 = readtable(filename, opts);


for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath, name(i),'.csv');

% Import the data
eCE4_temp = readtable(filename, opts);
eCE4=vertcat(eCE4,eCE4_temp);

end
clear opts eCE4_temp name i filename


writetable(eCE4,'Results4.xlsx');
