clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_5\';
name={'America1_5','America2_5','America3_5','America4_5','America5_5','America6_5'}
name=string(name);

%% Setup the Import Options and import the data

filename=strcat(folderpath,name(1),'.csv');
opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var500MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");


% Import the data
eCE5 = readtable(filename, opts);



for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');

% Import the data
eCE5_temp = readtable(filename, opts);
 eCE5=vertcat(eCE5,eCE5_temp);



end
clear opts eCE5_temp name i filename

writetable(eCE5,'Results5.xlsx');
