clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_7\';
name={'America1_7','America2_7','America3_7','America4_7','America5_7','America6_7'}
name=string(name);


%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 40);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "FFRmax", "FFRmean", "FFRmin", "OBJECTID", "Shape_Area", "Shape_Leng", "StrOrdATLAS", "code", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "name", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "roi_code", "state", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "string", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "categorical", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "name", "state", "geo"], "EmptyFieldRule", "auto");
filename=strcat(folderpath,name(1),'.csv');
% Import the data
eCE7 = readtable(filename, opts);


for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath, name(i),'.csv');
% Import the data
eCE9_temp = readtable(filename, opts);
 eCE7=vertcat(eCE7,eCE9_temp);

end
clear opts eCE9_temp name i filename


FFRmax=eCE7.FFRmax;
FFRmin=eCE7.FFRmin;
FFRmean=eCE7.FFRmean;
match = ["[","]"];
FFRmax = erase(FFRmax,match);
FFRmin =erase(FFRmin,match);
FFRmean =erase(FFRmean,match);

FFRmaxtable=zeros(length(eCE7.FFRmax),11);
FFRmintable=zeros(length(eCE7.FFRmin),11);
FFRmeantable=zeros(length(eCE7.FFRmean),11);

for i=1:length(eCE7.FFRmax)
    
FFRmaxcell(i)= textscan(FFRmax(i), '%f', 'Delimiter',',' );
FFRmincell(i)= textscan(FFRmin(i), '%f', 'Delimiter',',' );
FFRmeancell(i)= textscan(FFRmean(i), '%f', 'Delimiter',',' );
FFRmaxtable(i,:)= cell2mat(FFRmaxcell(i));
FFRmintable(i,:)= cell2mat(FFRmincell(i));
FFRmeantable(i,:)= cell2mat(FFRmeancell(i));
end
clear FFRmaxcell FFRmeancell FFRmincell i

FFRmaxtable= array2table(FFRmaxtable,'VariableNames',{'F_Max_DOF','F_Max_DOR','F_Max_SED','F_Max_USE','F_Max_RDD','F_Max_URB','F_Max_CSI','F_Max_CSI_FF','F_Max_CSI_FF1','F_Max_CSI_FF2','F_Max_BB_OCEAN'});
FFRmintable= array2table(FFRmintable,'VariableNames',{'F_Min_DOF','F_Min_DOR','F_Min_SED','F_Min_USE','F_Min_RDD','F_Min_URB','F_Min_CSI','F_Min_CSI_FF','F_Min_CSI_FF1','F_Min_CSI_FF2','F_Min_BB_OCEAN'});
FFRmeantable= array2table(FFRmeantable,'VariableNames',{'F_Mean_DOF','F_Mean_DOR','F_Mean_SED','F_Mean_USE','F_Mean_RDD','F_Mean_URB','F_Mean_CSI','F_Mean_CSI_FF','F_Mean_CSI_FF1','F_Mean_CSI_FF2','F_Mean_BB_OCEAN'});

eCE7=[eCE7, FFRmaxtable, FFRmeantable, FFRmintable];

writetable(eCE7,'Results7.xlsx');
