clear all, close all, clc;

%% Filepaths 
%Results1
filepath1='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_1\Results1.xlsx';

%Results2
filepath2='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_2\Results2.xlsx';

%Results3
filepath3='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_3\Results3.xlsx';

%Results4
filepath4='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_4\Results4.xlsx';

%Results5
filepath5='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_5\Results5.xlsx';

%Results6
filepath6='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_6\Results6.xlsx';

%Results7
filepath7='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_7\Results7.xlsx';


%% Setup the Import Options and import the data

opts = spreadsheetImportOptions("NumVariables", 24);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:X495";

% Specify column names and types
opts.VariableNames = ["systemindex", "Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "err500", "errROI", "ece", "ece30M", "ece500", "eceLG", "name", "roi_code", "state", "geo", "err500_50", "err500_75", "err500_100", "err500_125", "errROI_50", "errROI_75", "errROI_100", "errROI_125"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "categorical", "string", "categorical", "string", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["err500", "errROI", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["err500", "errROI", "name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R1 = readtable(filepath1, opts, "UseExcel", false);

%% Clear temporary variables
clear opts


%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 36);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:AJ495";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "bl", "br", "bt", "code", "eltot", "elwet", "frMedian", "frModeLeft", "frModeRight", "left_kurtosis", "left_mean", "left_median", "left_mode", "left_skew", "left_stdDev", "name", "right_kurtosis", "right_mean", "right_median", "right_mode", "right_skew", "right_stdDev", "roi_code", "stat_mean", "stat_skew", "stat_stdDev", "stat_variance", "state", "threshold", "varArea500", "varAreaRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "string", "double", "double", "double", "double", "categorical", "double", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R2 = readtable(filepath2, opts, "UseExcel", false);
% Clear temporary variables
clear opts


%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 12);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:L495";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLossFilters", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varFilters500", "varFiltersRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R3 = readtable(filepath3, opts, "UseExcel", false);
% Clear temporary variables
clear opts

%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 10);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:J495";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var30MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R4 = readtable(filepath4, opts, "UseExcel", false);
% Clear temporary variables
clear opts

%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 10);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:J495";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var500MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R5 = readtable(filepath5, opts, "UseExcel", false);
clear opts



%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 12);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:L495";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLoss", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varLoss500", "varLossRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R6 = readtable(filepath6, opts, "UseExcel", false);



%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 73);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:BU495";

% Specify column names and types
opts.VariableNames = ["systemindex", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "FFRmax", "FFRmean", "FFRmin", "OBJECTID", "Shape_Area", "Shape_Leng", "StrOrdATLAS", "code", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "name", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "roi_code", "state", "geo", "F_Max_DOF", "F_Max_DOR", "F_Max_SED", "F_Max_USE", "F_Max_RDD", "F_Max_URB", "F_Max_CSI", "F_Max_CSI_FF", "F_Max_CSI_FF1", "F_Max_CSI_FF2", "F_Max_BB_OCEAN", "F_Mean_DOF", "F_Mean_DOR", "F_Mean_SED", "F_Mean_USE", "F_Mean_RDD", "F_Mean_URB", "F_Mean_CSI", "F_Mean_CSI_FF", "F_Mean_CSI_FF1", "F_Mean_CSI_FF2", "F_Mean_BB_OCEAN", "F_Min_DOF", "F_Min_DOR", "F_Min_SED", "F_Min_USE", "F_Min_RDD", "F_Min_URB", "F_Min_CSI", "F_Min_CSI_FF", "F_Min_CSI_FF1", "F_Min_CSI_FF2", "F_Min_BB_OCEAN"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "string", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "categorical", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "code", "roi_code", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "code", "name", "roi_code", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
R7 = readtable(filepath7, opts, "UseExcel", false);
R7=removevars(R7,{'FFRmax','FFRmin','FFRmean'});

%% Clear temporary variables
clear opts

%%
R1.unicode=strcat(string(R1.code),string(R1.roi_code));
R2.unicode=strcat(string(R2.code),string(R2.roi_code));
R3.unicode=strcat(string(R3.code),string(R3.roi_code));
R4.unicode=strcat(string(R4.code),string(R4.roi_code));
R5.unicode=strcat(string(R5.code),string(R5.roi_code));
R6.unicode=strcat(string(R6.code),string(R6.roi_code));
R7.unicode=strcat(string(R7.code),string(R7.roi_code));

toremove={'systemindex','geo','Shape_Area','Shape_Leng','code', 'name', 'roi_code', 'state','OBJECTID'}
R1= removevars(R1,{'systemindex','errROI','err500'});% ricorda errROI ed err500 erano le variabili stringa con il vettore di errori
R2= removevars(R2,toremove);
R3= removevars(R3,toremove);
R4= removevars(R4,toremove);
R5= removevars(R5,toremove);
R6= removevars(R6,toremove);
R7= removevars(R7,toremove);

R12=join(R1,R2,'Keys','unicode');
R34=join(R3,R4,'Keys','unicode');
R56=join(R5,R6,'Keys','unicode');
R1234=join(R12,R34,'Keys','unicode');
R123456=join(R1234,R56,'Keys','unicode');
Rtot=join(R123456,R7,'Keys','unicode');

clear R12 R34 R1234 R56 R123456

writetable(Rtot, 'ResultsTot.xlsx')

