clear all, close all, clc

%Results1
filepath1='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_1\Results_E_1.xlsx';

%Results2
filepath2='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_2\Results_E_2.xlsx';

%Results3
filepath3='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_3\Results_E_3.xlsx';

%Results4
filepath4='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_4\Results_E_4.xlsx';

%Results6
filepath6='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_6\Results_E_6.xlsx';

%Results7
filepath7='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_7\Results_E_7.xlsx';

%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 22);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:V24";

% Specify column names and types
opts.VariableNames = ["systemindex", "Aroi", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "err500", "errROI", "ece", "ece30M", "name", "roi_code", "state", "geo", "err500_50", "err500_75", "err500_100", "err500_125", "errROI_50", "errROI_75", "errROI_100", "errROI_125"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "categorical", "string", "categorical", "string", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["code", "err500", "errROI", "roi_code", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["code", "err500", "errROI", "name", "roi_code", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
RE1 = readtable(filepath1, opts, "UseExcel", false);


%% Clear temporary variables
clear opts



%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 13);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:M24";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "eltot", "elwet", "name", "roi_code", "state", "varArea500", "varAreaRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "double", "double", "categorical", "string", "categorical", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
RE2 = readtable(filepath2, opts, "UseExcel", false);


%% Clear temporary variables
clear opts


%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 12);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:L24";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLossFilters", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varFilters500", "varFiltersRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");


% Import the data
RE3 = readtable(filepath3, opts, "UseExcel", false);


%% Clear temporary variables
clear opts



%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 10);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:J24";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "var30MRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, ["code", "roi_code", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["code", "name", "roi_code", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
RE4 = readtable(filepath4, opts, "UseExcel", false);
% Clear temporary variables
clear opts


%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 12);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:L24";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLoss", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varLoss500", "varLossRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
RE6 = readtable(filepath6, opts, "UseExcel", false);
% Clear temporary variables
clear opts

%% Setup the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 73);

% Specify sheet and range
opts.Sheet = "Sheet1";
opts.DataRange = "A2:BU24";

% Specify column names and types
opts.VariableNames = ["systemindex", "FFR_noImpact10S", "FFR_noImpact11S", "FFR_noImpact12S", "FFR_noImpact1S", "FFR_noImpact2S", "FFR_noImpact3S", "FFR_noImpact4S", "FFR_noImpact5S", "FFR_noImpact6S", "FFR_noImpact7S", "FFR_noImpact8S", "FFR_noImpact9S", "FFRmax", "FFRmean", "FFRmin", "OBJECTID", "Shape_Area", "Shape_Leng", "StrOrdATLAS", "code", "lengthAllChannels", "lengthMainChannel", "lengthMainP1Channel", "name", "riv10S", "riv11S", "riv12S", "riv1S", "riv2S", "riv3S", "riv4S", "riv5S", "riv6S", "riv7S", "riv8S", "riv9S", "roi_code", "state", "geo", "F_Max_DOF", "F_Max_DOR", "F_Max_SED", "F_Max_USE", "F_Max_RDD", "F_Max_URB", "F_Max_CSI", "F_Max_CSI_FF", "F_Max_CSI_FF1", "F_Max_CSI_FF2", "F_Max_BB_OCEAN", "F_Mean_DOF", "F_Mean_DOR", "F_Mean_SED", "F_Mean_USE", "F_Mean_RDD", "F_Mean_URB", "F_Mean_CSI", "F_Mean_CSI_FF", "F_Mean_CSI_FF1", "F_Mean_CSI_FF2", "F_Mean_BB_OCEAN", "F_Min_DOF", "F_Min_DOR", "F_Min_SED", "F_Min_USE", "F_Min_RDD", "F_Min_URB", "F_Min_CSI", "F_Min_CSI_FF", "F_Min_CSI_FF1", "F_Min_CSI_FF2", "F_Min_BB_OCEAN"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "string", "string", "double", "double", "double", "double", "string", "double", "double", "double", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "string", "categorical", "string", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "code", "roi_code", "geo"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["FFRmax", "FFRmean", "FFRmin", "code", "name", "roi_code", "state", "geo"], "EmptyFieldRule", "auto");

RE7 = readtable(filepath7, opts, "UseExcel", false);

RE7=removevars(RE7,{'FFRmax','FFRmin','FFRmean'});

%% Clear temporary variables
clear opts

%% Clear temporary variables
clear opts
RE1.unicode=strcat(string(RE1.code),string(RE1.roi_code));
RE2.unicode=strcat(string(RE2.code),string(RE2.roi_code));
RE3.unicode=strcat(string(RE3.code),string(RE3.roi_code));
RE4.unicode=strcat(string(RE4.code),string(RE4.roi_code));
RE6.unicode=strcat(string(RE6.code),string(RE6.roi_code));
RE7.unicode=strcat(string(RE7.code),string(RE7.roi_code));

darimuovere={'systemindex','geo','Shape_Area','Shape_Leng','code', 'name', 'roi_code', 'state','OBJECTID'}
RE1= removevars(RE1,{'systemindex','errROI','err500'});
RE2= removevars(RE2,darimuovere);
RE3= removevars(RE3,darimuovere);
RE4= removevars(RE4,darimuovere);
RE6= removevars(RE6,darimuovere);
RE7= removevars(RE7,darimuovere);


R12=join(RE1,RE2,'Keys','unicode');
R34=join(RE3,RE4,'Keys','unicode');
R1234=join(R12,R34,'Keys','unicode');
R12346=join(R1234,RE6,'Keys','unicode');
RtotE=join(R12346,RE7,'Keys','unicode');

clear R12 R34 R1234 R12346

writetable(RtotE, 'ResultsTotE.xlsx')

